using AyCode.Interfaces.Entities;
using AyCode.Interfaces.ServiceProviders;
using AyCode.Interfaces.TimeStampInfo;

namespace AyCode.Interfaces.Users;

public interface IAcUserToCompany<TUser, TCompany> : IAcUserToCompanyBase
    where TUser : class, IAcUserBase
    where TCompany : class, IAcCompanyBase
{
    public TUser User { get; set; }
    public TCompany Company { get; set; }
}